Skip to main content
DELETE
/
1
/
destinations
/
{destinationID}
curl
curl --request DELETE \
  --url https://data.us.algolia.com/1/destinations/6c02aeb1-775e-418e-870b-1faccd4b2c0f \
  --header 'accept: application/json' \
  --header 'x-algolia-api-key: ALGOLIA_API_KEY' \
  --header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID'
{
  "deletedAt": "<string>"
}
Required ACL: addObject, deleteIndex, editSettings

Authorizations

x-algolia-application-id
string
header
required

Your Algolia application ID.

x-algolia-api-key
string
header
required

Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.

Path Parameters

destinationID
string
required

Unique identifier of a destination. Universally unique identifier (UUID) of a destination resource.

Example:

"6c02aeb1-775e-418e-870b-1faccd4b2c0f"

Response

OK

deletedAt
string
required

Date and time when the resource was deleted, in RFC 3339 format.

Last modified on January 28, 2026